#[derive(Clone)]
pub struct Database {}

impl Database {
    pub fn new() -> Self {
        Self {}
    }

    pub async fn query(&self, _qry: &str) -> String {
        "{data{}}".to_string()
    }
}

#[cfg(test)]
mod queries {
    use super::*;

    #[async_std::test]
    async fn empty_table_query() {
        let expected = "{data{}}";
        let testdb = Database::new();
        let output = testdb.query("{tables{name}}").await;
        assert!(
            output == expected,
            "Got '{}' expected '{}'.",
            output,
            expected
        );
    }
}
